Ubuntu 16.04 LTS + "lspci: Cannot open /sys/bus No such file" on Dell 5820 Tower

Bug #1818816 reported by Jay on 2019-03-06
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libpciaccess (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
nvidia-graphics-drivers (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
pciutils (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned

Bug Description

Hello Team,

I'm experiencing similiar issue on Ubuntu 16.04 on Dell 5820 Tower over UEFI installation. I'm using Display port monitor, inorder to get proper display I need to download nvidia driver from ppa:graphics-drivers/ppa

After install nvidia-384 and did a reboot, still no display, but can able to see the PCI modules conflicted

#lspci -v
lspci: Cannot open /sys/bus/pci/devices/0000:00:03.0/resource: No such file or directory

There is no issue with Ubuntu 18.04 , which is works perfectly on the same machine. Ubuntu 16.04 having issue. Please let me know id there is some issue with the running kernel or any package?

Below is the environment details.
=================================

Ubuntu 16.04.4 LTS Xenial
Kernel - 4.15.0-46-generic

NVIDIA Quadro P4000

$lshw -C Display
WARNING: you should run this program as super-user.
  *-display
       description: VGA compatible controller
       product: NVIDIA Corporation
       vendor: NVIDIA Corporation
       physical id: 0
       bus info: pci@0000:65:00.0
       version: a1
       width: 64 bits
       clock: 33MHz
       capabilities: vga_controller bus_master cap_list rom
       configuration: driver=nvidia latency=0
       resources: irq:29 memory:d7000000-d7ffffff memory:c0000000-cfffffff memory:d0000000-d1ffffff ioport:b000(size=128) memory:d8000000-d807ffff

#dpkg -l | grep xserver-xorg-core-hwe-16.04
ii xserver-xorg-core-hwe-16.04 2:1.19.5-0ubuntu2~16.04.1

$dpkg -l | grep nvid
ii nvidia-384 384.130-0ubuntu0.16.04.1 amd64 NVIDIA binary driver - version 384.130
ii nvidia-opencl-icd-384 384.130-0ubuntu0.16.04.1 amd64 NVIDIA OpenCL ICD
ii nvidia-prime 0.8.2 amd64 Tools to enable NVIDIA's Prime
ii nvidia-settings 415.27-0ubuntu0~gpu16.04.1 amd64 Tool for configuring the NVIDIA graphics driver

#startx
xauth: file /root/.Xauthority does not exist

X.Org X Server 1.19.5
Release Date: 2017-10-12
X Protocol Version 11, Revision 0
Build Operating System: Linux 4.4.0-101-generic x86_64 Ubuntu
Current Operating System: Linux ADUAEIT10755WKLX 4.15.0-46-generic #49~16.04.1-Ubuntu SMP Tue Feb 12 17:45:24 UTC 2019 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.15.0-46-generic root=UUID=87e6e4eb-2008-48bb-8848-3d0184ae89c1 ro quiet splash vt.handoff=7
Build Date: 24 November 2017 09:44:25AM
xorg-server 2:1.19.5-0ubuntu2~16.04.1 (For technical support please see http://www.ubuntu.com/support)
Current version of pixman: 0.33.6
 Before reporting problems, check http://wiki.x.org
 to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
 (++) from command line, (!!) notice, (II) informational,
 (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Mar 6 15:14:19 2019
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(EE)
(EE) Backtrace:
(EE) 0: /usr/lib/xorg/Xorg (xorg_backtrace+0x4e) [0x55a968970e1e]
(EE) 1: /usr/lib/xorg/Xorg (0x55a9687bf000+0x1b5b89) [0x55a968974b89]
(EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7fe81648b000+0x11390) [0x7fe81649c390]
(EE) 3: /usr/lib/x86_64-linux-gnu/libpciaccess.so.0 (pci_device_next+0x118) [0x7fe817ae4a38]
(EE) 4: /usr/lib/x86_64-linux-gnu/libpciaccess.so.0 (pci_device_find_by_slot+0x3b) [0x7fe817ae4abb]
(EE) 5: /usr/lib/x86_64-linux-gnu/libpciaccess.so.0 (pci_device_vgaarb_init+0xaf) [0x7fe817ae67af]
(EE) 6: /usr/lib/xorg/Xorg (0x55a9687bf000+0xb17a9) [0x55a9688707a9]
(EE) 7: /usr/lib/xorg/Xorg (xf86BusConfig+0x62) [0x55a968849e62]
(EE) 8: /usr/lib/xorg/Xorg (InitOutput+0xa13) [0x55a968857f83]
(EE) 9: /usr/lib/xorg/Xorg (0x55a9687bf000+0x581a6) [0x55a9688171a6]
(EE) 10: /lib/x86_64-linux-gnu/libc.so.6 (__libc_start_main+0xf0) [0x7fe8160e1830]
(EE) 11: /usr/lib/xorg/Xorg (_start+0x29) [0x55a968801329]
(EE)
(EE) Segmentation fault at address 0x0
(EE)
Fatal server error:
(EE) Caught signal 11 (Segmentation fault). Server aborting
(EE)
(EE)
Please consult the The X.Org Foundation support
  at http://wiki.x.org
 for help.
(EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
(EE)
(EE) Server terminated with error (1). Closing log file.

Thanks
---
ApportVersion: 2.20.1-0ubuntu2.15
Architecture: amd64
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/hwC1D0', '/dev/snd/pcmC1D9p', '/dev/snd/pcmC1D8p', '/dev/snd/pcmC1D7p', '/dev/snd/pcmC1D3p', '/dev/snd/controlC1', '/dev/snd/by-path', '/dev/snd/hwC0D0', '/dev/snd/pcmC0D0c', '/dev/snd/pcmC0D0p', '/dev/snd/controlC0', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
DistroRelease: Ubuntu 16.04
InstallationDate: Installed on 2019-03-06 (0 days ago)
InstallationMedia: Ubuntu 16.04.4 LTS "Xenial Xerus" - Release amd64 (20180228)
Lspci: Error: command ['lspci', '-vvnn'] failed with exit code 1: lspci: Cannot open /sys/bus/pci/devices/0000:00:03.0/resource: No such file or directory
MachineType: Dell Inc. Precision 5820 Tower
NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
Package: linux (not installed)
ProcFB: 0 EFI VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-46-generic root=UUID=87e6e4eb-2008-48bb-8848-3d0184ae89c1 ro quiet splash
ProcVersionSignature: Ubuntu 4.15.0-46.49~16.04.1-generic 4.15.18
PulseList: Error: command ['pacmd', 'list'] failed with exit code 1: No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-46-generic N/A
 linux-backports-modules-4.15.0-46-generic N/A
 linux-firmware 1.157.17
RfKill:

Tags: xenial
Uname: Linux 4.15.0-46-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 07/26/2018
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.7.1
dmi.board.name: 0X8DXD
dmi.board.vendor: Dell Inc.
dmi.board.version: A01
dmi.chassis.type: 3
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.7.1:bd07/26/2018:svnDellInc.:pnPrecision5820Tower:pvr:rvnDellInc.:rn0X8DXD:rvrA01:cvnDellInc.:ct3:cvr:
dmi.product.family: Precision
dmi.product.name: Precision 5820 Tower
dmi.sys.vendor: Dell Inc.

Jay (jayram1989) on 2019-03-06
tags: added: xenial
Jay (jayram1989) wrote :

Note:- This is clearly an OS issue. With 18.04 there is no problem. Please let me know where is the culprit...
Type of installation - UEFI with secure boot disabled

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1818816

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Jay (jayram1989) wrote : AlsaInfo.txt

apport information

tags: added: apport-collected
description: updated
Jay (jayram1989) wrote : CRDA.txt

apport information

apport information

Jay (jayram1989) wrote : IwConfig.txt

apport information

apport information

Jay (jayram1989) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

Jay (jayram1989) wrote : UdevDb.txt

apport information

apport information

Can you try to boot the previous kernel 4.15.0-45-generic?

I have a (different?) problem with 4.15.0-46-generic and nvivia-384. In my case lightdm won't start. Reverting back to 4.15.0-45-generic "solved" it for me.

Jay (jayram1989) wrote :

I tried with both (lower) kernel , no luck :( It seems NVIDIA 384 proprietory deb package conflict with the running kernel.

Jay (jayram1989) wrote :
Download full text (5.1 KiB)

Same error with 4.15.0-45-generic kernel

lspci
lspci: Cannot open /sys/bus/pci/devices/0000:00:03.0/resource: No such file or directory

ar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: xinit /usr/share/xdiagnose/failsafeXinit /etc/X11/xorg.conf.failsafe -- /usr/bin/X -br -once -config /etc/X11/xorg.conf.failsafe -logfile /var/log/Xorg.failsafe.log
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: X.Org X Server 1.19.5
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: Release Date: 2017-10-12
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: X Protocol Version 11, Revision 0
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: Build Operating System: Linux 4.4.0-101-generic x86_64 Ubuntu
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: Current Operating System: Linux ADUAEIT10755WKLX 4.15.0-45-generic #48~16.04.1-Ubuntu SMP Tue Jan 29 18:03:48 UTC 2019 x86_64
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.15.0-45-generic root=UUID=912333ec-194d-4f3c-b022-0db4912f9b8f ro quiet splash vt.handoff=7
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: Build Date: 24 November 2017 09:44:25AM
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: xorg-server 2:1.19.5-0ubuntu2~16.04.1 (For technical support please see http://www.ubuntu.com/support)
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: Current version of pixman: 0.33.6
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: #011Before reporting problems, check http://wiki.x.org
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: #011to make sure that you have the latest version.
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: Markers: (--) probed, (**) from config file, (==) default setting,
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: #011(++) from command line, (!!) notice, (II) informational,
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: #011(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: (++) Log file: "/var/log/Xorg.failsafe.log", Time: Thu Mar 7 13:38:54 2019
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: (++) Using config file: "/etc/X11/xorg.conf.failsafe"
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: (==) Using system config directory "/usr/share/X11/xorg.conf.d"
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: (EE)
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: (EE) Backtrace:
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: (EE) 0: /usr/lib/xorg/Xorg (xorg_backtrace+0x4e) [0x559e1ba18e1e]
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: (EE) 1: /usr/lib/xorg/Xorg (0x559e1b867000+0x1b5b89) [0x559e1ba1cb89]
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: (EE) 2: /lib/x86_64-linux-gnu/libpthread.so.0 (0x7f1029747000+0x11390) [0x7f1029758390]
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: (EE) 3: /usr/lib/x86_64-linux-gnu/libpciaccess.so.0 (pci_device_next+0x118) [0x7f102ada0a38]
Mar 7 13:38:54 ADUAEIT10755WKLX failsafeXServer[1352]: (EE) 4: /usr/lib/x86_64-linux-gnu/libpciaccess.so.0 (pci_device_find_by_sl...

Read more...

Kai-Heng Feng (kaihengfeng) wrote :

What happens if LightDM or GDM is in use, instead of startx?

graphical.target pulls in gpu-manager.service, which is needed for Nvidia graphics.

Jay (jayram1989) wrote :

Hi Kai,

If I use GDM, I can see display blinking aggressively. And for LightDM the service itself not starting getting below error

lightdm:1284): CRITICAL **: x_server_local_get_authority_file_path: assertion 'server != NULL' failed
update-alternatives: error: no alternatives for x86_64-linux-gnu_gfxcore_conf
lightdm[1484]: message repeated 3 times: [ /etc/modprobe.d is not a file]

Even I reinstalled lightdm packages and rebooted, still no luck.

As a workaround for now, I use acpi=off in grub to make machine back to graphical mode. But in this case also, if I reboot the machine hangs somewhere else, then hard reset is required.

@Kai do you need any specific logs or any command output for your investigation?

Thanks
Jay

Kai-Heng Feng (kaihengfeng) wrote :

Maybe try 418 series?

Jay (jayram1989) wrote :

@kai I tested by switching from UEFI to Legacy mode. There is no problem at all. No need to switch to noacpi mode while installation. After booting everything got worked.
lspci listing properly.

So here issue with UEFI mode with Ubuntu 16.04.4 version on Dell 5820 Tower. Is there any known bug discussion is ongoing for this issue? Do you need any info from my side? Any command output or any log file? if yes please let me know..

Kai-Heng Feng (kaihengfeng) wrote :

If the same kernel works under Bionic but not under Xenial, I guess it's grub2 in Bionic makes the difference.

I already subscribed the correct team to work on this, hopefully they can give you an answer soon.

Taihsiang Ho (taihsiangho) wrote :

Hi, do you install vanilla/stock Ubuntu Xenial, or the preloaded OEM Xenial?

Jay (jayram1989) wrote :

Thanks @kai for the help.

@Taihsiang, we do installation based on Ubuntu 16.04 and 18.04 LTS only for our colleagues with different platform. But testing with vanilla GNOME will do and let you know. But I'm a fan of GNOME session :)

Jay (jayram1989) wrote :

Any update on this request. We have more users reporting the issue on Ubuntu 16.04 UEFI instalallation. As a workaround, we are installing as Legacy mode.

No issue with 18.04 UEFI.

Kindly fix this.

~~~
Lspci: Error: command ['lspci', '-vvnn'] failed with exit code 1: lspci: Cannot open /sys/bus/pci/devices/0000:00:03.0/resource: No such file or directory
~~~

DELL 5820 Tower Workstation. Please fix this. We have more users using this model.

Brad Figg (brad-figg) on 2019-08-13
tags: added: ubuntu-certified
Changed in linux (Ubuntu):
assignee: nobody → Kai-Heng Feng (kaihengfeng)
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Kai-Heng Feng (kaihengfeng) wrote :

This is not a kernel bug.

$ lspci
lspci: Cannot open /sys/bus/pci/devices/0000:00:03.0/resource: No such file or directory

It's because the the correct address is 10000:00:03.0 instead of 0000:00:03.0:
$ ls /sys/bus/pci/devices/10000\:00\:03.0/resource
/sys/bus/pci/devices/10000:00:03.0/resource

So we need userspace libraries to support 32 bit domain to support the hardware.

Kai-Heng Feng (kaihengfeng) wrote :

For pciutils (lspci), we need this commit:
commit ab61451d47514c473953a24aa4f4f816b77ade56
Author: Keith Busch <email address hidden>
Date: Thu Mar 17 13:19:17 2016 -0600

    pciutils: Add support for 32-bit PCI domains

    This adds support for new host bridges that may create PCI domain number
    values requiring more than 16 bits. The new domain 32-bit integer is
    signed to allow -1 for "any", and is sufficient as the domain number
    will never require the full 32-bits.

    The domain field is appended at the end of struct pci_dev, and the
    current location of the 16-bit domain remains for compatibility. The
    domain number is truncated and copied into the legacy domain location
    so existing applications linking to the library will continue to work
    without modification. We accept that these applications may not work
    correctly on machines with host bridges exporting 32-bit domains.

    In order to force new programs to link to the new ABI, the pci_init
    function call is versioned in this commit.

    Signed-off-by: Keith Busch <email address hidden>

For libpciaccess (which is used by Xorg), we need this commit:
commit a167bd6474522a709ff3cbb00476c0e4309cb66f
Author: Stephen Hemminger <email address hidden>
Date: Mon Sep 18 13:17:23 2017 -0400

    linux: support 32 bit PCI domains (v3)

    The PCI domain may be larger than 16 bits on Microsoft Azure and other
    virtual environments. PCI busses reported by ACPI are limited to 16
    bits, but in Azure the domain value for pass through devices is
    intentionally larger than 16 bits to avoid clashing with local devices.
    This is needed to support pass through of GPU devices.

    v3: (ajax)
    Update FreeBSD and Solaris backends to preserve the full 32-bit domain
    number, since on those OSes it stands a chance of working already.
    Update NetBSD and OpenBSD backends to initialize domain_16 compatibly
    with older libpciaccess; neither backend appears to support more than a
    handful of domains to begin with though. Trivially update the generic
    x86 backend for source compatibility, though it still only supports one
    domain and will never be better.

    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=101744
    Signed-off-by: Stephen Hemminger <email address hidden>
    Reviewed-by: Eric Anholt <email address hidden>

Kai-Heng Feng (kaihengfeng) wrote :

However, for both libraries the new commits introduce ABI change, so all packages linked against libpciaccess and libpci need to be rebuilt. So I am not sure how feasible it is.

I'll just let the package maintainer decide.

Changed in linux (Ubuntu):
status: In Progress → Invalid
Changed in libpciaccess (Ubuntu):
status: New → Invalid
status: Invalid → New
Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu):
assignee: Kai-Heng Feng (kaihengfeng) → nobody
Changed in linux (Ubuntu Xenial):
status: New → Invalid
Changed in nvidia-graphics-drivers (Ubuntu Xenial):
status: New → Invalid
Changed in pciutils (Ubuntu):
status: New → Fix Released
Changed in libpciaccess (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.